<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="requestUnitInternals"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idRequest" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['request-unit-internal-popup-new-list', null] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.requestUnitInternal.requestUnitInternal'|translate}}" *ngIf="idRequest === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.requestUnitInternalId">
                    <a [routerLink]="['../request-unit-internal', rowData.requestUnitInternalId  ]" >{{rowData.requestUnitInternalId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.requestUnitInternal.internalFrom'|translate}}" *ngIf="idInternalFrom === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalFromId">
                    <a [routerLink]="['../internal', rowData.internalFromId  ]" >{{rowData.internalFromId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.requestUnitInternal.internalTo'|translate}}" *ngIf="idInternalTo === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalToId">
                    <a [routerLink]="['../internal', rowData.internalToId  ]" >{{rowData.internalToId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'request-unit-internal/'+ rowData.idRequest + '/popup-edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idRequest)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
